summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Golus2012-05-05 18:18:05 +0200
committer Erik Hanson2012-05-07 19:18:08 +0200
commite25c003e93739d5c71aa9017fe324cbaa9523e21 (patch)
treeb69eb95b1a187b1e32b954a042d182b9a61d2fa6
parent1bb95b564fa19a6a15cf0b1ed93ee1aaa11f723c (diff)
downloadslackbuilds-e25c003e93739d5c71aa9017fe324cbaa9523e21.tar.gz
multimedia/ripperX: Added (audio CD-ROM ripper)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--multimedia/ripperX/README11
-rw-r--r--multimedia/ripperX/ripperX.SlackBuild103
-rw-r--r--multimedia/ripperX/ripperX.info10
-rw-r--r--multimedia/ripperX/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/multimedia/ripperX/README b/multimedia/ripperX/README
new file mode 100644
index 0000000000..a7e40e1c06
--- /dev/null
+++ b/multimedia/ripperX/README
@@ -0,0 +1,11 @@
+RipperX is a GTK program to rip CD audio tracks and encode them to the Ogg,
+MPE, or FLAC formats. It's goal is to be easy to use, requiring only a few
+mouse clicks to convert an entire album. It supports CDDB lookups for album
+and track information.
+
+RipperX requires the following:
+
+id3lib (available on SlackBuilds).
+Also you will need one of the following OGG, FLAC, or MP3 encoders.
+
+To rip digital audio from your CD-ROM, you will need cdparanoia.
diff --git a/multimedia/ripperX/ripperX.SlackBuild b/multimedia/ripperX/ripperX.SlackBuild
new file mode 100644
index 0000000000..1f72b6f227
--- /dev/null
+++ b/multimedia/ripperX/ripperX.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for ripperX
+
+# Copyright 2012 David Golus <bassplayer69@gmail.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Heavily based on original slackbuild by AlienBOB.
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=ripperX
+VERSION=2.7.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --sysconfdir=/etc \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BUGS CHANGES COPYING FAQ INSTALL README TODO README.plugin \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+chmod -R o-w $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/ripperX/ripperX.info b/multimedia/ripperX/ripperX.info
new file mode 100644
index 0000000000..7e80b4eefd
--- /dev/null
+++ b/multimedia/ripperX/ripperX.info
@@ -0,0 +1,10 @@
+PRGNAM="ripperX"
+VERSION="2.7.3"
+HOMEPAGE="http://sourceforge.net/projects/ripperx/"
+DOWNLOAD="http://sourceforge.net/projects/ripperx/files/latest/download/ripperX-2.7.3.tar.gz"
+MD5SUM="f07c55edf08a1cd57537f1b9379b4e4d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Golus"
+EMAIL="bassplayer69@gmail.com"
+APPROVED="dsomero"
diff --git a/multimedia/ripperX/slack-desc b/multimedia/ripperX/slack-desc
new file mode 100644
index 0000000000..95089a1534
--- /dev/null
+++ b/multimedia/ripperX/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ripperX: ripperX (audio CD-ROM ripper)
+ripperX:
+ripperX: RipperX is a GTK program to rip CD audio tracks and encode them to
+ripperX: the Ogg, MP3, or FLAC formats. It's goal is to be easy to use,
+ripperX: requiring only a few mouse clicks to convert an entire album. It
+ripperX: supports CDDB lookups for album and track information.
+ripperX:
+ripperX: http://sourceforge.net/projects/ripperx
+ripperX:
+ripperX:
+ripperX: